/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pl;

import domain.Korisnik;
import domain.Mesto;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Korisnik
 */
public class Kontroler {

    private Kontroler() {
        initMesta();
        initListaKorisnika();
    }

    private static Kontroler instance;

    public static Kontroler getInstance() {
        if (instance == null) {
            instance = new Kontroler();
        }
        return instance;
    }

    List<Mesto> listaMesta;
    List<Korisnik> listaKorisnika;
    
    public List<Mesto> vratiListuMesta() {
        return listaMesta;
    }
    
    public List<Korisnik> vratiListuKorisnika(){
        return listaKorisnika;
    }

    private void initMesta(){
        listaMesta = new ArrayList<>();
        listaMesta.add(new Mesto(11000, "Beograd"));
        listaMesta.add(new Mesto(11070, "Novi Beograd"));
        listaMesta.add(new Mesto(21000, "Novi Sad"));
        listaMesta.add(new Mesto(35230, "Cuprija"));
        
    }
    
    
    void initListaKorisnika(){
        
        listaKorisnika = new ArrayList();
        
        listaKorisnika.add(new Korisnik("FON", "11111111", "Jove Ilica 154",listaMesta.get(0)));
        listaKorisnika.add(new Korisnik("FPN", "22222222", "Jove Ilica 157",listaMesta.get(0)));
        listaKorisnika.add(new Korisnik("Gimnazija Cuprija", "3333333", "Mose Pijade 23",listaMesta.get(3)));
        
    }
    
    
}
